petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSGetSNESFailures

Gets the total number of failed SNES solves

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetSNESFailures(TS ts,PetscInt *fails)

Not Collective

### Input Parameter

ts -TS context

### Output Parameter

fails -number of failed nonlinear solves

### Notes

This counter is reset to zero for each successive call to TSSolve().

### See Also

TSGetSNESIterations(), TSGetKSPIterations(), TSSetMaxStepRejections(), TSGetStepRejections(), TSSetMaxSNESFailures()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex8.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages